Bug 58044 - [ne2000] kernel: NETDEV WATCHDOG: eth0: transmit timed out
[ne2000] kernel: NETDEV WATCHDOG: eth0: transmit timed out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-07 02:36 EST by mark
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 05:50:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modules.conf / ifconfig / ping / messages (11.97 KB, text/plain)
2002-01-07 02:41 EST, mark
no flags Details

  None (edit)
Description mark 2002-01-07 02:36:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
When I boot up the stock 7.1 kernel (2.4.2) or a re-compiled 2.4.17 
(www.kernel.org) using a config file from /usr/src/linux-2.4.17/configs (i586), 
my ethernet card is detected ok (see attachments), however ping just hangs. 
Rebooting with a 2.4.17cxt-5 kernel from www.solucorp.qc.ca (vserver kernel) 
ping works fine.
Log file is attached. Is something broken in the configs ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Stock 7.1
2. ISA NE2000 Compatiable Ethernet card at io=0x300 irq=10
3. Bring up network and ping a local address
	

Actual Results:  PING 192.168.0.254 (192.168.0.254) from 192.168.0.100 : 56(84) 
bytes of data.
From 192.168.0.100: Destination Host Unreachable
From 192.168.0.100: Destination Host Unreachable
From 192.168.0.100: Destination Host Unreachable

--- 192.168.0.254 ping statistics ---
6 packets transmitted, 0 packets received, +3 errors, 100% packet loss


Expected Results:  Ping to work as expected

Additional info:

Log file shows
Jan  7 18:04:54 vserver kernel: NETDEV WATCHDOG: eth0: transmit timed out

Full details in attachment.
Comment 1 mark 2002-01-07 02:41:40 EST
Created attachment 41912 [details]
Modules.conf / ifconfig / ping / messages
Comment 2 Alan Cox 2002-02-11 12:50:33 EST
I've no idea what patches may be in the vserver kernel (local apic might be one
thing they are doing differently)

Firstly though - if its not an ISAPnP card, go into the BIOS, PCI configuration
and set IRQ 10 to be routed to ISA/Legacy (or whatever they call it but not 
PCI/PnP)

Let me know if that cures it


Alan
Comment 3 mark 2002-02-13 05:50:22 EST
Allan,

I encounter this problem with a stock RH7.1 install using and ISA NE2000
compatible card set up as io=0x300 irq=10. This is on a mulitboot system
with NT4 / RH7.1 and RH7.1 with a downloaded vserver kernel.

Only have probs with RH7.1 as installed and with the latest recompiled
kernel (2.4.17 i think) using the config files from /usr/src/linux/configs.

Have also used same setup with RH6.2 on same hardware with no problems. I
recompiled the latest kernel using the config file from the vserver kernel
and all went ok.

I suspect the RH7.1 config file has somehing dodgy in it but I have no idea
what it might be.

Note You need to log in before you can comment on or make changes to this bug.